Uses of Class
com.eqixiac.equinix.fabric.beta.model.ExchangeServiceResponse
Packages that use ExchangeServiceResponse
Package
Description
Public Fabric Beta client interfaces: the
FabricBeta hub and one client per family.Implementations of the Fabric Beta clients.
-
Uses of ExchangeServiceResponse in com.eqixiac.equinix.fabric.beta.client
Methods in com.eqixiac.equinix.fabric.beta.client that return ExchangeServiceResponseModifier and TypeMethodDescriptionExchangeServices.create(ExchangeServiceCreateRequest request) Create Internet Exchange Service:POST /fabric/v4/exchangeServices(operationcreateExchangeService).Get Internet Exchange Service:GET /fabric/v4/exchangeServices/{exchangeServiceId}(operationgetExchangeServiceById).ExchangeServices.update(String exchangeServiceId, List<PatchOperation> operations) Update Internet Exchange Service:PATCH /fabric/v4/exchangeServices/{exchangeServiceId}(operationupdateExchangeServiceById).Methods in com.eqixiac.equinix.fabric.beta.client that return types with arguments of type ExchangeServiceResponseModifier and TypeMethodDescriptionExchangeServices.search()Search Internet Exchange Services:POST /fabric/v4/exchangeServices/search(operationsearchExchangeService).ExchangeServices.search(FilterPropertyList filter) Search Internet Exchange Services:POST /fabric/v4/exchangeServices/search(operationsearchExchangeService).ExchangeServices.search(FilterPropertyList filter, SortPropertyList sort) Search Internet Exchange Services:POST /fabric/v4/exchangeServices/search(operationsearchExchangeService). -
Uses of ExchangeServiceResponse in com.eqixiac.equinix.fabric.beta.client.implementation
Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return ExchangeServiceResponseModifier and TypeMethodDescriptionExchangeServicesImpl.create(ExchangeServiceCreateRequest request) ExchangeServicesImpl.update(String exchangeServiceId, List<PatchOperation> operations) Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return types with arguments of type ExchangeServiceResponseModifier and TypeMethodDescriptionExchangeServicesImpl.search()ExchangeServicesImpl.search(FilterPropertyList filter) ExchangeServicesImpl.search(FilterPropertyList filter, SortPropertyList sort)